Subject: Re: Dremel scroll saws

From: [email-masked] (Robert J. Methelis)
Date: Thu, 27 Mar 1997 19:28:10 GMT

>[email-masked] (Ilicku4fun) wrote:
>
>>any body here got experience using dremels scroll saws?  i am looking for
>>one and think i would like to hear about them first.

I have had  three inexpensive scroll saws - the Ryobi variable, the
Delta 2 speed and the Dremel.  I kept the Dremel since it fit MY needs
better - substituting (barely)  for a bandsaw and few internal cuts -
no fretwork.  Yours may be different.

RYOBI - smoothest cut, good pinless blade change mechanism, variable
speed a plus.  Problem was that the lock mechanism on the table would
not maintain 90 degree with a long (3' board) no matter how hard it
was tightened.  As I got closer to the end of the board the table
would start to slip.

DELTA - good cut, best pinless blade change mechanism, table was not
very smooth but was "sound", vibrated much more than other two.

DREMEL - good cut, bothersome pinless blade change even with buying
the optional adapter, smooth and solid table. 
Bob Methelis
Bob-in-NJ on IRC

He would be wood if he could,
but he's knot.